On Friday, December 30, 2011, klo uo <klonuo@gmail.com> wrote:
>>>> from mpl_toolkits.basemap import Basemap
>
> /usr/local/lib/python2.7/dist-packages/mpl_toolkits/__init__.py:2: UserWarning: Module dateutil was already imported from /usr/local/lib/python2.7/dist-packages/dateutil/__init__.pyc, but /usr/lib/pymodules/python2.7 is being added to sys.path
>   __import__('pkg_resources').declare_namespace(__name__)
>
>
> I always get this warning, and IIRC when importing some MPL module possibly too
>
> I removed MPL 1.0.1 and upgraded to 1.1.0 but nothing changed in regard to this warning
>
> Also Google did not reveal much - it's listed on IPython mailing list, and also in "pyroms" forum again when someone tried to import Basemap package.
>
> So why is this and what can I do to avoid this warning when I import Basemap
>
> Thanks
>

I just noticed this warning this week, so it is good to know others have gotten it, too.  The odd thing is that one of my scripts triggers it, but another (nearly identical) script does not.

I will be investigating this further.

Ben Root